Bug 820995 - Review Request: java-oauth - An open protocol to allow API authentication
Review Request: java-oauth - An open protocol to allow API authentication
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Radej
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 10:02 EDT by gil cattaneo
Modified: 2012-06-22 14:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 14:56:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tradej: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-05-11 10:02:20 EDT
Spec URL: http://gil.fedorapeople.org/oauth.spec
SRPM URL: http://gil.fedorapeople.org/oauth-20100601-1.fc16.src.rpm
Description: An open protocol to allow API authentication
in a simple and standard method from desktop and
web applications.

tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4070452
Comment 1 Tomas Radej 2012-05-23 08:56:47 EDT
Taking it.
Comment 2 Tomas Radej 2012-05-24 05:18:51 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
     Note: Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0: oauth-20100601-clean-src-svn.tar.gz (oauth-20100601-clean-
     src-svn.tar.gz) Patch0: oauth-20100601-poms.patch
     (oauth-20100601-poms.patch)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[!]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[-]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

ISSUES:
[!]: MUST If the number of provided JAR files exceeds two, you MUST place them
     into a sub-directory named %{name}.
[!]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
>>>> Please, put all the jars in a subdirectory

NOTES:
Rpmlint
-------
Checking: oauth-20100601-1.fc18.src.rpm
          oauth-20100601-1.fc18.noarch.rpm
          oauth-javadoc-20100601-1.fc18.noarch.rpm
oauth.src: W: invalid-url Source0: oauth-20100601-clean-src-svn.tar.gz
3 packages and 0 specfiles checked; 0 errors, 1 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
/var/lib/mock/fedora-rawhide-x86_64/result/oauth-javadoc-20100601-1.fc18.noarch.rpm:
    jpackage-utils  
    
/var/lib/mock/fedora-rawhide-x86_64/result/oauth-20100601-1.fc18.noarch.rpm:
    httpcomponents-client  
    jakarta-commons-httpclient  
    java  
    jpackage-utils  
    tomcat-servlet-3.0-api  
    
Provides
--------
/var/lib/mock/fedora-rawhide-x86_64/result/oauth-javadoc-20100601-1.fc18.noarch.rpm:
    oauth-javadoc = 20100601-1.fc18
    
/var/lib/mock/fedora-rawhide-x86_64/result/oauth-20100601-1.fc18.noarch.rpm:
    mvn(net.oauth.core:oauth)  
    mvn(net.oauth.core:oauth-consumer)  
    mvn(net.oauth.core:oauth-core-parent)  
    mvn(net.oauth.core:oauth-httpclient3)  
    mvn(net.oauth.core:oauth-httpclient4)  
    mvn(net.oauth.core:oauth-provider)  
    mvn(net.oauth:oauth-parent)  
    oauth = 20100601-1.fc18
    


Generated by fedora-review 0.2.0git
External plugins:

*** NOT APPROVED ***
Comment 3 Tomas Radej 2012-05-24 05:30:42 EDT
One more thing - since there are erlang-oauth, python-oauth, rubygem-oauth and php-oauth, please change the name of the package to java-oauth to be consistent with the Fedora repo. Thank you.
Comment 4 gil cattaneo 2012-05-24 08:05:44 EDT
Spec URL: http://gil.fedorapeople.org/java-oauth.spec
SRPM URL: http://gil.fedorapeople.org/java-oauth-20100601-2.fc16.src.rpm
- renamed java-oauth
- moved all of the jar files into oauth subdirectory
Comment 5 Tomas Radej 2012-06-12 09:15:27 EDT
It's good now.

*** APPROVED ***
Comment 6 gil cattaneo 2012-06-12 10:26:18 EDT
New Package SCM Request
=======================
Package Name: java-oauth
Short Description: An open protocol to allow API authentication
Owners: gil
Branches: f17
InitialCC: java-sig
Comment 7 Gwyn Ciesla 2012-06-12 11:09:29 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-06-12 17:49:51 EDT
java-oauth-20100601-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/java-oauth-20100601-2.fc17
Comment 9 Fedora Update System 2012-06-14 20:22:36 EDT
java-oauth-20100601-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-06-22 14:56:30 EDT
java-oauth-20100601-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.